

package w83a.w83aDAO;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.List;


import w83a.util.jdbc.W83aDataBase;
import w83a.w83aBeans.W83aNotificacionesBean;

import w83a.w83aDAO.w83aConstantesBD.W83aNotificacionesBD;
import w83a.w83aUtilidadesComunes.W83aClsConstantes;





public class W83ANotificacionesDAO implements Serializable {//NOPMD

	private static final long serialVersionUID = 6558110952810203015L;
	
	
	public static int W83AInsertarNotificaciones(W83aNotificacionesBean infoNotificacion,String direccionEnvio,String sindicato) throws Exception {
		
		
        int correcto = 1;
        
        try{	
        	StringBuffer strSqlCorrelativo = new StringBuffer(W83aClsConstantes.CUARENTA);            
        	strSqlCorrelativo = new StringBuffer();
			strSqlCorrelativo.append("SELECT MAX(");
			strSqlCorrelativo.append(W83aNotificacionesBD.notificacion);
			strSqlCorrelativo.append(") AS ").append(W83aNotificacionesBD.notificacion);;
			strSqlCorrelativo.append(" FROM ");
			strSqlCorrelativo.append(W83aNotificacionesBD.notificacionesTable);
			
			List idNotificacion = W83aDataBase.executeSimpleQuery(strSqlCorrelativo.toString(),new ArrayList(),null);
			int idNotifNext=1;
			
			if (idNotificacion!=null && idNotificacion.size()>0 && idNotificacion.get(0)!=null)
			{
				idNotifNext=Integer.parseInt(idNotificacion.get(0).toString())+1;
			}
		        
        	
        	StringBuffer strSql = new StringBuffer(W83aClsConstantes.CUARENTA);                   
       	 strSql = new StringBuffer(W83aClsConstantes.CUARENTA);//NOPMD
  		 strSql.append("INSERT INTO ");
 		 strSql.append(W83aNotificacionesBD.notificacionesTable);
 		 strSql.append("(");
 		 strSql.append(W83aNotificacionesBD.notificacion).append(",");
 		 strSql.append(W83aNotificacionesBD.dni11).append(",");
 		 strSql.append(W83aNotificacionesBD.codSindi11).append(",");
 		 strSql.append(W83aNotificacionesBD.lote11).append(")");
 		 
 		 
 		 
 		strSql.append(" VALUES (?,?,?,?)");
 		
 		 List params = new ArrayList();
 		 params.add(new Integer(idNotifNext));//NOPMD
 		 params.add(infoNotificacion.getDniXLNET());
 		 params.add(sindicato);
 		 params.add(infoNotificacion.getIdLote());
 		
		 
 		
		  W83aDataBase.executeTableMovement(strSql.toString(), params,null);
            
        }catch(Exception e){
        	correcto=0;
        }    
            
        
         return correcto;  
	}

        	
	

	
}
	